# == Class: graylog2::configure
# Create ang Control elasticsearch config on node
#
# === Authors
#
# Vasiliy V. G.
#
# === Copyright
#
# Copyright 2015 BottleRocket
#

class graylog2::configure inherits graylog2::params {
  file { '/etc/elasticsearch/elasticsearch.yml':
    ensure  => present,
    content => template('graylog2/elasticsearch.yml.erb'),
  } ->

  file { '/etc/graylog/server/server.conf':
    ensure  => present,
    content => template('graylog2/graylog_server.conf.erb'),
  } ->

  file { '/etc/graylog/web/web.conf':
    ensure  => present,
    content => template('graylog2/graylog_web.conf.erb'),
  } ->

  service { 'mongod':
    ensure => 'running',
    enable => true,
  } ->

  service { 'elasticsearch':
    ensure => 'running',
    enable => true,
  } ->

  service { 'graylog-server':
    ensure => 'running',
    enable => true,
  } ->

  service { 'graylog-web':
    ensure => 'running',
    enable => true,
  }
}