# == Class:graylog2::repos
# install repos for mongodb elasticsearch graylog2
#
# === Authors
#
# Vasiliy V. G.
#
# === Copyright
#
# Copyright 2015 BottleRocket
#

class graylog2::repos inherits graylog2::params {
  #create mongodb repo
  file { "/etc/yum.repos.d/mongodb-org-${mongodb_version}.repo":
    ensure  => present,
    content => template('graylog2/mongodb-org.repo.erb'),
  }

  #create elasticsearch repo
  file { "/etc/yum.repos.d/elasticsearch-${elasticsearch_version}.repo":
    ensure  => present,
    content => template('graylog2/elasticsearch.repo.erb'),
  }

  #import elasticsearch gpg key
  exec { 'rpm --import https://packages.elastic.co/GPG-KEY-elasticsearch':
    path   => [ '/usr/local/bin/', '/bin/' ],
    unless => '/bin/rpm -qa gpg-pubkey \* --qf "%{version}-%{release} %{summary}\n" | grep -i elasticsearch > /dev/null'
  }

  #import graylog2 repo
  exec { "rpm -Uvh ${graylog2_repo}":
    path   => [ '/usr/local/bin/', '/bin/' ],
    unless => '/bin/rpm -qa gpg-pubkey \* --qf "%{version}-%{release} %{summary}\n" | grep -i graylog > /dev/null'
  }
}